VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsLabels"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private colLabels As Collection


Public Function Add(ByVal Caption As String, _
                                        Optional ByVal Left As Single, _
                                        Optional ByVal Top As Single, _
                                        Optional ByVal Right As Single, _
                                        Optional ByVal Bottom As Single, _
                                        Optional ByVal PositionIsAbsolute As Boolean) As clsLabelAttributes

Dim L As New clsLabelAttributes

    With L
        .Caption = Caption
        .Left = Left
        .Top = Top
        .Right = Right
        .Bottom = Bottom
        .PositionIsAbsolute = PositionIsAbsolute
    End With
    colLabels.Add L
    Set Add = L
    CQueue.Add objTypeLabel, Count
End Function

Public Property Get Count() As Integer
    Count = colLabels.Count
End Property

Public Property Get Item(ByVal Index As Integer) As clsLabelAttributes
Attribute Item.VB_UserMemId = 0
    Set Item = colLabels.Item(Index)
End Property

Private Sub Class_Initialize()
    Set colLabels = New Collection
End Sub

Private Sub Class_Terminate()
    Set colLabels = Nothing
End Sub
